# AWS API client for Amazon Athena

**Warning: This is a generated library, some operations may not work.**

*About the service:*
Amazon Athena is an interactive query service that lets you use standard SQL
to analyze data directly in Amazon S3. You can point Athena at your data in
Amazon S3 and run ad-hoc queries and get results in seconds. Athena is
serverless, so there is no infrastructure to set up or manage. You pay only
for the queries you run. Athena scales automatically—executing queries in
parallel—so results are fast, even with large datasets and complex queries.
For more information, see <a
href="http://docs.aws.amazon.com/athena/latest/ug/what-is.html">What is
Amazon Athena</a> in the <i>Amazon Athena User Guide</i>.

If you connect to Athena using the JDBC driver, use version 1.1.0 of the
driver or later with the Amazon Athena API. Earlier version drivers do not
support the API. For more information and to download the driver, see <a
href="https://docs.aws.amazon.com/athena/latest/ug/connect-with-jdbc.html">Accessing
Amazon Athena with JDBC</a>.

For code samples using the AWS SDK for Java, see <a
href="https://docs.aws.amazon.com/athena/latest/ug/code-samples.html">Examples
and Code Samples</a> in the <i>Amazon Athena User Guide</i>.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

